// 友盟依赖包
import uma from 'umtrack-wx'
import { umtrackWxKey as appKey } from './config.js'

// 默认事件广播（防止报错）
const trackEvent = () => {
    console.info('只有在生产环境中才提交友盟事件')
    return
}

const install = (Vue, options = {}) => {
    console.info(`当前代码运行环境${process.env.NODE_ENV}`)
    // 获取配置
    const { useOpenid = true, autoGetOpenid = true, debug = true, uploadUserInfo = true } = options
    if (process.env.NODE_ENV === 'production') {
        uma.init({
            //由友盟分配的APP_KEY
            appKey,
            // 使用Openid进行统计，此项为false时将使用友盟+uuid进行用户统计。
            // 使用Openid来统计微信小程序的用户，会使统计的指标更为准确，对系统准确性要求高的应用推荐使用Openid。
            useOpenid,
            // 使用openid进行统计时，是否授权友盟自动获取Openid，
            // 如若需要，请到友盟后台"设置管理-应用信息"(https://mp.umeng.com/setting/appset)中设置appId及secret
            autoGetOpenid,
            //是否打开调试模式
            debug,
            // 自动上传用户信息，设为false取消上传，默认为false
            uploadUserInfo
        })
        Vue.prototype.$uma = uma
    } else {
        Vue.prototype.$uma = {
            trackEvent
        }
    }
}

export default install
